# coding:utf-8
import os

from dspawpy.plot import plot_bandunfolding

plt = plot_bandunfolding(
    datafile="dspawpy_proj/dspawpy_tests/inputs/2.22.1/band.h5",  # 读取数据
    ef=None,  # 费米能级，从文件中读取
    de=0.05,  # 能带宽度，默认0.05
    dele=0.06,  # 能带间隔，默认0.06
)

plt.ylim(-15, 10)
figname = (
    "dspawpy_proj/dspawpy_tests/outputs/us/4bandunfolding.png"  # 输出的能带图文件名
)
os.makedirs(os.path.dirname(os.path.abspath(figname)), exist_ok=True)
plt.savefig(figname, dpi=300)
# plt.show()
